<template>
<div>
<v-list two-line subheader>
    <v-list-item>
    <v-checkbox
    v-model="toggleInflectionNo"
    :label="$t('settings.inflection_no')"
    hide-details>
    </v-checkbox>
    </v-list-item>
    <v-list-item>

      <v-radio-group mandatory two-line v-model="updateCollapse" :label="$t('settings.collapse.description')">
        <v-radio value="auto" :label="$t('settings.collapse.auto')"></v-radio>
        <v-radio value="always" :label="$t('settings.collapse.always')"></v-radio>
        <v-radio value="never" :label="$t('settings.collapse.never')"></v-radio>
      </v-radio-group>
      </v-list-item>
      </v-list>
    </div>
</template>

<script>

export default {
    name: "Settings",
    computed: {
        toggleInflectionNo: {
            get () { return this.$store.state.showInflectionNo}, 
            set () { this.$store.commit("toggleInflectionNo")
            }
        },
        updateCollapse: {
            get () { return this.$store.state.collapseArticles}, 
            set(value) {
                this.$store.commit("setCollapse", value)
                }
        },
    },
}
</script>
